Infoworks Rest API V3

Server
{protocol}://{host}:{port}/v3
Server Variables

Get `authentication_token` with `username` and `password`.

Get authentication_token with username and password.

Auth
Query String
service_idnumber

Used to represent the way user has login into infoworks

GET /security/authenticate
Responses
200

Authentication success response

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response

Get `authentication_token` with `refresh_token`.

Get authentication_token with refresh_token.

Auth
Headers
Authorizationstring

refresh token auth header put Basic {refresh_token}

GET /security/token/access
Responses
200

Authentication success response

objectobject
messagestring
resultobject
authentication_tokenstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response

Purge authentication token

Purges authentication token and logs out the user. The user will need to generate a new authentication token for subsequent API calls.

Auth
DELETE /security/token/access
Responses
200

ok

objectobject
messagestring
resultstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Validate `authentication_token` if its active or not.

Validate authentication_token if its active or not.

Auth
GET /security/token/validate
Responses
200

Valid Token Response

objectobject
messagestring
resultobject
is_validboolean
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Regenerate Refresh Token and blacklist old token.

Regenerate Refresh Token and blacklist old token.

Auth
DELETE /security/token/refresh
Responses
200
objectobject
messagestring
resultstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Authorise User.

Authorise User.

Auth
Request Body
objectobject
entityTypestring
actionstring
entityIdstring
POST /security/authorise/user
Responses
200
objectobject
messagestring
resultobject
delegation_tokenstring
is_authorisedboolean
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get SAML Redirect URL.

Get SAML Redirect URL.

Auth
GET /security/sso/initialise
Responses
200

Valid Token Response

objectobject
Locationstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

LDAP Authorise User.

LDAP Authorise User.

Auth
Request Body
objectobject
userIdsarray[string]
searchAttributestring
POST /security/get/user/data
Responses
200
objectobject
usersarray[string]
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

bulk sync (add/update) ldap user by providing login attribute

bulk sync (add/update) ldap user by providing login attribute

Auth
Request Body
objectobject
search_onstring
search_listarray[string]
should_updateboolean

Default: true

should_addboolean

Default: true

POST /security/bulk-ldap-sync
Responses
200

bulk ldap users sync response

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response

Get the User details

Get the User details

Auth
GET /admin/users
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create a new User

Create a new User

Auth
Request Body
objectobject
profileobject
namestring
emailstring
rolesarray[string]
passwordstring
accessible_domainsarray[string]
POST /admin/users
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the details of the user linked with the user_id

Get the details of the user linked with the user_id

Auth
GET /admin/users/{user_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete a user.

Delete a user.

Auth
DELETE /admin/users/{user_id}
Responses
200

Ok

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update the User

Update the User

Auth
Request Body
objectobject
profileobject
namestring
emailstring
rolesarray[string]
accessible_domainsarray[string]
passwordstring
PATCH /admin/users/{user_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Reset password for user

Reset password for user

Auth
Request Body
objectobject
old_passwordstring
new_passwordstring
PATCH /admin/users/{user_id}/reset-password
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete all schedules for a specific user

Delete all schedules for a specific user

Auth
DELETE /admin/users/{user_id}/delete-schedules
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Toggle user login ability

Toggle user login ability

Auth
PATCH /admin/users/{user_id}/toggle-user-login
Responses
200

Ok.

objectobject
messagestring
resultobject
login_disabledboolean
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add the domain to the user linked with the user_id

Add the domain to the user linked with the user_id

Auth
Request Body
objectobject
entity_idsarray
POST /admin/users/{user_id}/accessible-domains
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the User details

Get the User details

Auth
GET /users
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create a new User

Create a new User

Auth
Request Body
objectobject
profileobject
namestring
emailstring
rolesarray[string]
passwordstring
POST /users
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the details of the user linked with the user_id

Get the details of the user linked with the user_id

Auth
GET /users/{user_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete a user.

Delete a user.

Auth
DELETE /users/{user_id}
Responses
200

Ok

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update the User

Update the User

Auth
Request Body
objectobject
profileobject
namestring
emailstring
rolesarray[string]
passwordstring
PATCH /users/{user_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Reset password for user

Reset password for user

Auth
Request Body
objectobject
old_passwordstring
new_passwordstring
PATCH /users/{user_id}/reset-password
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete all schedules for a specific user

Delete all schedules for a specific user

Auth
DELETE /users/{user_id}/delete-schedules
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Toggle user login ability

Toggle user login ability

Auth
PATCH /users/{user_id}/toggle-user-login
Responses
200

Ok.

objectobject
messagestring
resultobject
login_disabledboolean
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add the domain to the user linked with the user_id

Add the domain to the user linked with the user_id

Auth
Request Body
objectobject
entity_idsarray
POST /users/{user_id}/accessible-domains
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Unlock the user

Unlock the user by providing email id

Auth
Query String
user_emailstring
POST /users/unlock
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the list of environments

Retrieves the list of environments that are accessible to the user.

Auth
Query String
fetch_allboolean

Use this parameter to retrieve the list of all environments. (Only for admin user).

Default: null

GET /admin/environment
Responses
200

Ok.

objectobject
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create a new environment

Creates or clones a environment. To clone an existing environment, add the resource_id_to_clone query parameter.
Note: Cloning an environment will clone all its clusters and storages.

Auth
Query String
resource_id_to_clonestring

Id of environment to be cloned. Request body will be ignored when this parameter is passed.

Request Body
objectobject
namestring

pattern: ^[a-z0-9A-Z_-]+$

platformstring
compute_enginestring
connection_configurationobject
filesfile
metastoreobject
POST /admin/environment
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the environment id details

Get the environment id details

Auth
GET /admin/environment/{environment_id}
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete an Environment

Delete an Environment

Auth
DELETE /admin/environment/{environment_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update an environment

Update an existing environment

Auth
Request Body
objectobject
namestring

pattern: ^[a-z0-9A-Z_-]+$

connection_configurationobject
filesfile
metastoreobject
PATCH /admin/environment/{environment_id}
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the environment id storage details

Get the environment id storage details

Auth
GET /admin/environment/{environment_id}/environment-storage
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create storage for environment id

Create storage for environment id

Auth
Request Body
objectobject
namestring

pattern: ^[a-z0-9A-Z_-]+$

descriptionstring
regionstring
storage_typestring
storage_authenticationobject
is_default_storageboolean
filesfile
POST /admin/environment/{environment_id}/environment-storage
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the environment storage id storage details

Get the environment storage id storage details

Auth
GET /admin/environment/{environment_id}/environment-storage/{environment_storage_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get list of pipelines using the storage

Get list of pipelines using the storage

Auth
GET /admin/environment/{environment_id}/environment-storage/{environment_storage_id}/pipelines
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
idstring
namestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of ephemeral computes for environment

Get List of ephemeral computes for environment

Auth
GET /admin/environment/{environment_id}/environment-compute-template
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create ephemeral cluster

Create ephemeral cluster

Auth
Request Body
objectobject
descriptionstring
namestring

pattern: ^[a-z0-9A-Z_-]+$

compute_enginestring
launch_strategystring
compute_configurationobject
POST /admin/environment/{environment_id}/environment-compute-template
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get ephemeral computes for environment by id

Get ephemeral computes for environment by id

Auth
GET /admin/environment/{environment_id}/environment-compute-template/{environment_compute_template_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the list of environments interactive (persistent) templates

Get the list of environments interactive (persistent) templates

Auth
GET /admin/environment/{environment_id}/environment-interactive-clusters
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create an interactive compute

Create an interactive compute

Auth
Request Body
objectobject
descriptionstring
namestring

pattern: ^[a-z0-9A-Z_-]+$

compute_enginestring
launch_strategystring
compute_configurationobject
POST /admin/environment/{environment_id}/environment-interactive-clusters
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get persistent computes for environment by id

Get persistent computes for environment by id

Auth
GET /admin/environment/{environment_id}/environment-interactive-clusters/{environment_interactive_clusters_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the accessible domains present within an environment accessible by a user

Get the accessible domains present within an environment accessible by a user

Auth
GET /admin/environment/{environment_id}/accessible-domains
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
namestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets all environment clusters.

Gets all environment clusters.

Auth
GET /admin/environment/{environment_id}/environment-clusters
Responses
200

Success

objectobject
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get list of sources

Get list of sources

Auth
Query String
limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

resolve_refboolean

To get entity details and created by user name

GET /sources
Responses
200

successful operation

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create source

Create source

Auth
Request Body

Source configurations

objectobject
namestring
environment_idstring
storage_idstring
data_lake_schemastring
data_lake_pathstring
typestring
is_source_ingestedboolean
storagestring
is_publicboolean
sub_typestring

Enum: redshift,saphana,sybaseiq,vertica,mongodb,rest_generic

is_oem_connectorboolean
connection
objectobject
connection_modestring

Enum: jdbc

connection_urlstring
source_schemastring
usernamestring
password
stringstring

minLength: 1

databasestring
snowflake_profilestring
warehousestring
enable_log_based_cdcboolean
staging_databasestring
enable_dictionary_rebuild_for_each_jobboolean
dictionary_pathstring
dictionary_typestring

Enum: online,offline,redo_log

POST /sources
Responses
200

successful operation

objectobject
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Source Info

Get Source Info

Auth
GET /sources/{source_id}
Responses
200

successful operation

objectobject
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete source

Delete source

Auth
DELETE /sources/{source_id}
Responses
200

successful operation

objectobject
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update source

Update source

Auth
Request Body

Source configurations

objectobject
namestring
PATCH /sources/{source_id}
Responses
200

successful operation

objectobject
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Browse source

Browse source

Auth
GET /sources/{source_id}/source_tables
Responses
200

successful operation

objectobject
messagestring
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add query tables

Add query tables

Auth
Request Body

Query table configurations

objectobject
tables_to_addobject
POST /sources/{source_id}/tables/query_tables
Responses
200

successful operation

objectobject
messagestring
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Entity Schema

Crawl Entity Schema

Auth
GET /sources/{source_id}/crawl-schema
Responses
200
objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Bulk Crawl Entity Schema

Bulk Crawl Entity Schema

Auth
GET /sources/{source_id}/bulk-crawl-schema
Responses
200
objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Check status for crawling

Check status for crawling

Auth
GET /sources/{source_id}/crawl-status
Responses
200
objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Check status for bulk crawling

Check status for bulk crawling

Auth
GET /sources/{source_id}/bulk-crawl-status
Responses
200
objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get source connection details

Get source connection details

Auth
GET /sources/{source_id}/configurations/connection
Responses
200

OK

objectobject
messagestring
enable_log_based_cdcboolean
driver_namestring
connection_urlstring
source_schemastring
connection_modestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update an existing source connection

Update an existing source connection

Auth
Request Body
objectobject
connection_modestring

Enum: jdbc

connection_urlstring
source_schemastring
usernamestring
password
stringstring

minLength: 1

databasestring
snowflake_profilestring
warehousestring
enable_log_based_cdcboolean
staging_databasestring
enable_dictionary_rebuild_for_each_jobboolean
dictionary_pathstring
dictionary_typestring

Enum: online,offline,redo_log

PUT /sources/{source_id}/configurations/connection
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add advanced configuration to the source

Add advanced configuration to the source

Auth
Request Body
objectobject
keystring
valuestring
descriptionstring
is_activeboolean
entity_idstring
entity_typestring
POST /sources/{source_id}/configurations/advance
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get all advanced configuration of the source

Get all advanced configuration of the source

Auth
GET /sources/{source_id}/configurations/advance
Responses
200

OK

objectobject
resultarray
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get a source advanced configuration

Get a source advanced configuration

Auth
GET /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update a source advanced configuration

Update a source advanced configuration

Auth
Request Body
objectobject
keystring
valuestring
descriptionstring
is_activeboolean
entity_idstring
entity_typestring
PUT /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete a source advanced configuration

Delete a source advanced configuration

Auth
DELETE /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get source Configuration

Get source Configuration

Auth
GET /sources/{source_id}/configurations
Responses
200

OK

objectobject
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Generic Source Types List

Get Generic Source Types List

Auth
Query String
offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

limitinteger

The numbers of items to return

Default: 10

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

GET /admin/generic-source-type
Responses
200

Ok.

objectobject
messagestring
resultarray[object]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Register or Create Generic Source Type

Register or Create Generic Source Type

Auth
Request Body
objectobject
namestring

pattern: ^[a-z0-9A-Z_-]+$

driver_class_namestring
upload_optionstring
filesfile

Required files if upload_option is fileUpload

folder_pathstring

Required folder_path if upload_option is serverLocation

POST /admin/generic-source-type
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Generic Source Type By Id

Get Generic Source Type By Id

Auth
GET /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update Generic Source Type By Id

Update Generic Source Type By Id

Auth
Request Body
objectobject
upload_optionstring

Enum: fileUpload,serverLocation

folder_pathstring

Required folder_path if upload_option is serverLocation

filesfile

Required files if upload_option is fileUpload

PATCH /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete Generic Source Type By Id

Delete Generic Source Type By Id

Auth
DELETE /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Generic Source Type Dependencies

Retrieves the dependencies for the Generic Source Type

Auth
GET /admin/generic-source-type/{generic_source_type_id}/dependencies
Responses
200

Ok.

objectobject
messagestring
resultarray[object]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all files in Generic Source Type by id

Get all files in Generic Source Type by generic_source_type_id

Auth
GET /admin/generic-source-type/{generic_source_type_id}/files
Responses
200

Ok.

objectobject
messagestring
resultarray[object]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

add file in Generic Source Type by id

add file in Generic Source Type by generic_source_type_id

Auth
Request Body
filefile
POST /admin/generic-source-type/{generic_source_type_id}/files
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get a list of all topics mapping.

Get a list of all topics mapping.

Auth
GET /sources/{source_id}/topic-mappings
Responses
200

Topics Mapping

objectobject
messagestring
total_countinteger

Total count of topic mappings

minimum: 0

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create Topic Mapping For Source

Create Topic Mapping For Source

Auth
Request Body
namestring
topic_identifierobject
POST /sources/{source_id}/topic-mappings
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topic mapping id.

Get topic mapping id.

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Topics Mapping Id

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update Topic Mapping For Source

Update Topic Mapping For Source

Auth
Request Body
namestring
topic_identifierobject
PATCH /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Topic Mapping For Source

Delete Topic Mapping For Source

Auth
DELETE /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topics From Source

Get topics From Source

Auth
GET /sources/{source_id}/topics
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topic Preview

Get topics Preview

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/preview
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Schema For Topic Mapping

Crawl Schema For Topic Mapping

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/crawl-schema
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Schema From Mapping

Get Table Schema From Mapping

Auth
Query String
selected_keysstring
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/table-schema
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create Streaming Table

Create Streaming Table

Auth
Request Body
objectobject
POST /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Streaming Table

Get Streaming Table

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables/{table_id}
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Streaming Table

Delete Streaming Table

Auth
DELETE /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables/{table_id}
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete JSON Source Table

Delete JSON Source Table

Auth
DELETE /sources/{source_id}/file-mappings/{file_mapping_id}/tables/{table_id}
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mappings for JSON source

Get File Mappings for JSON source

Auth
Query String
offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

limitinteger

The numbers of items to return

Default: 10

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

resolve_refboolean

To get entity details and created by user name

GET /sources/{source_id}/file-mappings
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create File Mapping For JSON Source

Create File Mapping For JSON Source

Auth
Request Body
namestring
source_relative_pathstring
record_scopestring

Enum: file,line

include_subdirectoriesboolean
character_encodingstring
include_filename_regexstring
exclude_filename_regexstring
POST /sources/{source_id}/file-mappings
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mappings for JSON source by id

Get File Mappings for JSON source by id

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete File Mapping For JSON Source

Delete File Mapping For JSON Source

Auth
DELETE /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update File Mapping For JSON Source

Update File Mapping For JSON Source

Auth
Request Body
namestring
source_relative_pathstring
record_scopestring

Enum: file,line

include_subdirectoriesboolean
character_encodingstring
include_filename_regexstring
exclude_filename_regexstring
PATCH /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mapping Data Preview

Get File Mapping Data Preview

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/preview
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Schema For File Mapping

Crawl Schema For File Mapping

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/crawl-schema
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Schema From Mapping

Get Table Schema From Mapping

Auth
Query String
selected_keysstring
GET /sources/{source_id}/file-mappings/{file_mapping_id}/table-schema
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create JSON Source Table

Create JSON Source Table

Auth
Request Body
objectobject
POST /sources/{source_id}/file-mappings/{file_mapping_id}/tables
Responses
200

Success

objectobject
messagestring
resultstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get JSON Source Table

Get JSON Source Table

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/tables/{table_id}
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add/Edit Configuration for streaming options of a table group.

Add/Edit Configuration for streaming options of a table group.

Auth
Request Body
objectobject
statestring

Enum: enabled,disabled

engineobject
topic_identifierobject
typestring

Enum: list,regex

valuestring
streaming_frequencystring

Enum: minutes,hours,days

streaming_valueinteger
record_typeobject
PUT /sources/{source_id}/table/{table_id}/configurations/streaming
Responses
200

Ok

objectobject
resultobject
statusstring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get streaming configuration of given table.

Get streaming configuration of given table.

Auth
GET /sources/{source_id}/table/{table_id}/configurations/streaming
Responses
200

Ok.

objectobject
table_idstring
statusstring
job_idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get tables for whom streaming configurations are set in a particular source.

Get tables for whom streaming configurations are set in a particular source.

Auth
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

sort_bystring

Sort result on field

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

GET /sources/{source_id}/streaming-tables
Responses
200

Ok

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get streaming table info.

Get streaming table info.

Auth
GET /sources/{source_id}/streaming-tables/{table_id}
Responses
200

Ok

objectobject
table_idstring
statusstring
job_idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Tables

Creates the file mapping (table) of the csv source.

Creates the previously configured file mapping (table) of the csv source.

Auth
Request Body

This is the JSON body of request containing configured Table object.

objectobject
header_rows_countint64
column_separatorstring
column_enclosed_bystring
escape_characterstring
encodingstring
enable_pk_chunkboolean
record_width_typestring
record_separatorstring
columns_configurationarray
column_widthinteger
POST /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Success

objectobject
resultobject
statusstring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Modifies the file mapping (table) of the csv source.

Modifies the previously configured file mapping (table) of the csv source.

Auth
Request Body
objectobject
header_rows_countint64
column_separatorstring
column_enclosed_bystring
escape_characterstring
encodingstring
enable_pk_chunkboolean
record_width_typestring
record_separatorstring
columns_configurationarray
column_widthinteger
PUT /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Ok

objectobject
resultobject
statusstring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates the file mapping (table) of the csv source.

Updates the previously configured file mapping (table) of the csv source.

Auth
Request Body
objectobject
header_rows_countint64
column_separatorstring
column_enclosed_bystring
escape_characterstring
encodingstring
enable_pk_chunkboolean
record_width_typestring
record_separatorstring
columns_configurationarray
column_widthinteger
PATCH /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Ok

objectobject
resultobject
statusstring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update source metadata

update source metadata

Auth
Request Body

Source Metadata

objectobject
tags_to_addarray[string]
tags_to_removearray[string]
is_favoriteboolean
descriptionstring
PUT /sources/{source_id}/metadata
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get source metadata

get source metadata

Auth
GET /sources/{source_id}/metadata
Responses
200

get source metadata

objectobject
tagsarray[string]
is_favoriteboolean
descriptionstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get whether staging fields can be edited

get whether staging fields can be edited

Auth
GET /sources/{source_id}/edit-staging-fields
Responses
200

get whether staging fields can be edited

objectobject
messagestring
resultboolean
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get the list of Source Files paths of the table

Get the list of Source Files paths of the table

Auth
GET /sources/{source_id}/tables/{table_id}/jobs/{job_id}/reports/sourceFilesPath
Responses
200

OK

objectobject
resultarray[object]
resultarray[string]
limitinteger
offsetinteger
linksobject
total_countinteger
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get meta crawled table count

Get meta crawled table count

Auth
GET /sources/{source_id}/meta-crawled-table-count
Responses
200

OK

objectobject
messagestring
countnumber
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get List of excluded tables

Get List of source table which are not yet ingested

Auth
GET /sources/{source_id}/source_tables/excluded-tables
Responses
200

OK

objectobject
messagestring
resultarray[object]
idstring
tableNamestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Source schema

Get all distinct schema for a given source table

Auth
GET /sources/{source_id}/source_tables/schema-for-source
Responses
200

OK

objectobject
messagestring
resultarray[object]
schemaNamestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

list all the tables in the source

list all the tables in the source

Auth
Query String
limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

resolve_refboolean

To get entity details and created by user name

GET /sources/{source_id}/tables
Responses
200

successful operation

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray[object]
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add tables to a File Source

Add tables to a File Source

Auth
Request Body
objectobject
namestring
sourcestring

It refers to the source id to which tables needs to be added

configurationobject
record_header_namearray[string]

This is required in case the recordType field is Variable Length Custom Header(VCH) or Variable Block Custom Header(VBCH)

main_copybookobject

Upload the main copy file

custom_copybookobject

This is required in case the recordType field is Variable Length Custom Header(VCH) or Variable Block Custom Header(VBCH)

comment_up_to_char_arrayarray[integer]

This is required in case the recordType field is Variable Length Custom Header(VCH) or Variable Block Custom Header(VBCH)

comment_after_char_arrayarray[integer]

This is required in case the recordType field is Variable Length Custom Header(VCH) or Variable Block Custom Header(VBCH)

update_objectobject

Required only in case of patch request

POST /sources/{source_id}/tables
Responses
200

successful operation

objectobject
messagestring
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

list all the tables in the source

list all the tables in the source

Auth
Query String
limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

resolve_refboolean

To get entity details and created by user name

filterstring

Filter results query

POST /sources/{source_id}/fetch-tables
Responses
200

successful operation

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray[object]
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Info

Get Table Info

Auth
GET /sources/{source_id}/tables/{table_id}
Responses
200
objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update the Table

Update the table Metadata

Auth
Request Body

Update the table Metadata

objectobject
namestring
sourcestring

It refers to the source id to which tables needs to be added

configurationobject
record_header_namearray[string]

This is required in case the recordType field is Variable Length Custom Header(VCH) or Variable Block Custom Header(VBCH)

main_copybookobject

Upload the main copy file

custom_copybookobject

This is required in case the recordType field is Variable Length Custom Header(VCH) or Variable Block Custom Header(VBCH)

comment_up_to_char_arrayarray[integer]

This is required in case the recordType field is Variable Length Custom Header(VCH) or Variable Block Custom Header(VBCH)

comment_after_char_arrayarray[integer]

This is required in case the recordType field is Variable Length Custom Header(VCH) or Variable Block Custom Header(VBCH)

update_objectobject

Required only in case of patch request

PATCH /sources/{source_id}/tables/{table_id}
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Table for a source

Delete Table for a source

Auth
DELETE /sources/{source_id}/tables/{table_id}
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Table Schema

Crawl Table Schema

Auth
GET /sources/{source_id}/tables/{table_id}/crawl-schema
Responses
200
objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

add the tables to a source and crawl metadata of those added tables

add the tables to a source and crawl metadata of those added tables

Auth
Request Body
objectobject
tables_to_addarray[object]
POST /sources/{source_id}/tables/source_tables
Responses
200

successful operation

objectobject
messagestring
resultobject
added_tablesarray[string]
job_createdstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates and configures the table for Ingestion

Sets ingestion configuration for a table.

Auth
Request Body

Table ingestion Configuration

objectobject
sync_typestring

Enum: full-load,cdc-ogg,cdc-timestamp-column,cdc-query,cdc-batch-id,cdc-log

read_supported_enginesarray[string]

Enum: delta,avro,parquet,orc

typestring
subTypestring
sourceSubTypestring
target_table_namestring
target_schema_namestring
cdc_typestring
querystring
schema_namestring
table_namestring
exclude_legacy_audit_columnsstring
is_table_case_sensitivestring
is_schema_case_sensitivestring
is_database_case_sensitivestring
watermark_columnstring
capture_table_namestring
update_strategystring
fetch_mechanismstring
use_jdbcboolean
use_capture_tableboolean
is_scd2_tableboolean
ingest_subdirectoriesboolean
is_archive_enabledboolean
generate_history_viewboolean
enable_lower_bound_watermark_offsetboolean
does_table_contain_databoolean
lower_bound_watermark_offsetobject
partition_keysarray[object]
is_table_user_managedboolean
target_database_namestring
data_fetch_typestring
crawl_data_filter_enabledboolean
crawl_filter_conditionsarray[object]
split_by_keyobject
segmented_load_columnsarray[object]
PUT /sources/{source_id}/tables/{table_id}/configurations/ingestion
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get ingestion configuration of table

Get ingestion configuration of table

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/ingestion
Responses
200

get the ingestion configuration of table

objectobject
messagestring
json_schemaarray[object]
json_schema_breadcrumbarray
crawl_data_filter_enabledboolean
crawl_filter_conditionsarray
max_num_of_recordsinteger
streaming_modestring
streaming_frequency_typestring
streaming_frequency_numberinteger
error_thresholdinteger
source_file_typestring
natural_keysarray[string]
partition_keysarray[string]
target_relative_pathstring
update_strategystring
write_supported_enginesarray[string]
read_supported_enginesarray[string]
target_table_namestring
storage_formatstring
target_schema_namestring
sync_typestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get list of Entity advance configuration

Get list of Entity advance configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/advance
Responses
200

Limitby list of all the entity advance configuration sorted on the format user provided

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
resultsarray
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add advance configuration for a table

Add advance configuration for a table

Auth
Request Body
objectobject
keystring
valuestring
descriptionstring
is_activeboolean
entity_idstring
entity_typestring
POST /sources/{source_id}/tables/{table_id}/configurations/advance
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table advance configuration

Get table advance configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

Ok

objectobject
messagestring
keystring
valuestring
descriptionstring
isActiveboolean
entityIdstring
entityTypestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update advance configuration for a table

update advance configuration for a table

Auth
Request Body

Table ingestion Configuration

arrayarray[object]
keystring
valuestring
entityIdstring
entityTypestring

Enum: table,pipeline

PUT /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete advance configuration for a table

Delete advance configuration for a table

Auth
DELETE /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table export configuration

update table export configuration

Auth
Request Body

Table export Configuration

objectobject
sync_typestring

Enum: DISABLED,OVERWRITE,APPEND,MERGE

target_typestring

Enum: BIG_QUERY,AZURE_SQL_DW,SNOWFLAKE,COSMOS_DB,DELIMITED,POSTGRES,TERADATA,ORACLE,SQLSERVER

columnsarray[object]
target_configurationobject
connection
objectobject
auth_typestring
connection_stringstring
databasestring
driver_namestring
password
stringstring

minLength: 1

tablestring
usernamestring
schemastring
query_tagstring
PUT /sources/{source_id}/tables/{table_id}/configurations/export
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table export configuration

get table export configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/export
Responses
200

get table export configuration

objectobject
sync_typestring

Enum: DISABLED,OVERWRITE,APPEND,MERGE

target_typestring

Enum: BIG_QUERY,AZURE_SQL_DW,SNOWFLAKE,COSMOS_DB,DELIMITED,POSTGRES,TERADATA,ORACLE,SQLSERVER

columnsarray[object]
target_configurationobject
connection
objectobject
auth_typestring
connection_stringstring
databasestring
driver_namestring
password
stringstring

minLength: 1

tablestring
usernamestring
schemastring
query_tagstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table column order

update table column order

Auth
Request Body

Table Column Order

objectobject
namestring
target_column_positionnumber
PATCH /sources/{source_id}/tables/{table_id}/column-order
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table metadata

update table metadata

Auth
Request Body

Table Metadata

objectobject
tags_to_addarray[string]
tags_to_removearray[string]
is_favoriteboolean
descriptionstring
PUT /sources/{source_id}/tables/{table_id}/metadata
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table metadata

get table metadata

Auth
GET /sources/{source_id}/tables/{table_id}/metadata
Responses
200

get table metadata

objectobject
tagsarray[string]
is_favoriteboolean
descriptionstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table export configuration connection properties

Get table export configuration connection properties

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/export/connection
Responses
200

OK

objectobject
resultobject
schema
objectobject
auth_typestring
connection_stringstring
databasestring
driver_namestring
password
stringstring

minLength: 1

tablestring
usernamestring
schemastring
query_tagstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table export configuration Connection properties

update table export configuration Connection properties

Auth
Request Body

Table export Configuration connection properties

objectobject
auth_typestring
connection_stringstring
databasestring
driver_namestring
password
stringstring

minLength: 1

tablestring
usernamestring
schemastring
query_tagstring
PUT /sources/{source_id}/tables/{table_id}/configurations/export/connection
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Start Segmentation on a Table

Start Segmentation on a Table

Auth
Path Params
source_idstring

Source Id.

table_idstring

Table Id.

Request Body
derive_formatstring

Enum: yyyy,MM,dd,yyyyMM,MMdd,yyyyMMdd

derive_functionstring

Enum: year,month,day num in month,year month,month day,year month day

extract_from_columnboolean
namestring
sql_typeinteger
POST /sources/{source_id}/tables/{table_id}/segmentation/start
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Segments Metadata on a Table

Crawl Segments Metadata on a Table

Auth
Path Params
source_idstring

Source Id.

table_idstring

Table Id.

POST /sources/{source_id}/tables/{table_id}/segmentation/crawl
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Segments of a Table

Get Table Segments of a Table

Auth
Path Params
source_idstring

Source Id.

table_idstring

Table Id.

Query String
crawl_segmentsstring

if true, crawls Segments Metadata if they haven't been already crawled, default is false

GET /sources/{source_id}/tables/{table_id}/segmentation
Responses
200

Success

objectobject
messagestring
idstring
segmented_ingested_countinteger
total_segments_countinteger
total_countinteger
table_idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

End Segmentation on a Table

End Segmentation on a Table

Auth
Path Params
source_idstring

Source Id.

table_idstring

Table Id.

POST /sources/{source_id}/tables/{table_id}/segmentation/end
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Cancel Segmentation on a Table

Cancel Segmentation on a Table

Auth
Path Params
source_idstring

Source Id.

table_idstring

Table Id.

POST /sources/{source_id}/tables/{table_id}/segmentation/cancel
Responses
200

Success

objectobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get the schema of the table

Get the schema of the table

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/schema
Responses
200

OK

objectobject
resultarray
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update the schema of the table

Update the schema of the table

Auth
Request Body
objectobject
typestring

Enum: column

columnsarray[object]
PUT /sources/{source_id}/tables/{table_id}/configurations/schema
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

configurations

Auth
GET /sources/{source_id}/tables/{table_id}/configurations
Responses
200

OK

objectobject
json_schemaarray[object]
json_schema_breadcrumbarray
crawl_data_filter_enabledboolean
crawl_filter_conditionsarray
topic_identifierobject
typestring
listarray
max_num_of_recordsinteger
streaming_modestring
streaming_frequency_typestring
streaming_frequency_numberinteger
error_thresholdinteger
source_file_typestring
target_relative_pathstring
update_strategystring
write_supported_enginesarray[string]
read_supported_enginesarray[string]
target_table_namestring
storage_formatstring
target_schema_namestring
sync_typestring
advance_configurationarray
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get a list of all table segments.

Get a list of all table segments.

Auth
GET /sources/{source_id}/tables/{table_id}/segments
Responses
200

Limitby list of all the tables segments sorted on the format user provided

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
resultsarray[object]
valuestring
connection_quotastring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets Validation Specs for a Table.

Gets Validation Specs for a given TableId.

Auth
Query String
offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

limitinteger

The numbers of items to return

Default: 10

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

GET /sources/{source_id}/tables/{table_id}/validation-specs
Responses
200

Success

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add Validation Specs to a Table.

Add Validation Specs to a Table.

Auth
Request Body
objectobject
namestring
column_namestring
table_idstring
typestring
regex_expressionstring
POST /sources/{source_id}/tables/{table_id}/validation-specs
Responses
200

Success

objectobject
messagestring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates the Validation Specs for a table.

Updates the Validation Specs for a table.

Auth
Request Body
objectobject
namestring
column_namestring
table_idstring
typestring
regex_expressionstring
PATCH /sources/{source_id}/tables/{table_id}/validation-specs/{validation_spec_id}
Responses
200

Ok

objectobject
resultobject
statusstring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Validation Specs for a Table

Delete Validation Specs

Auth
DELETE /sources/{source_id}/tables/{table_id}/validation-specs/{validation_spec_id}
Responses
200

successful operation

objectobject
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table preview.

Get table preview.

Auth
GET /sources/{source_id}/table/{source_table_id}/get-preview
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Generate table preview.

Generate table preview.

Auth
GET /sources/{source_id}/table/{source_table_id}/generate-preview
Responses
200

Success

objectobject
messagestring
resultobject
statusstring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Generate query table preview.

Generate query table preview.

Auth
GET /sources/{source_id}/query_table/generate-preview
Responses
200

Success

objectobject
messagestring
resultobject
statusstring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get query table preview.

Get query table preview.

Auth
GET /sources/{source_id}/query_table/get-preview
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Preview Queries.

Gets Preview Queries.

Auth
GET /sources/{source_id}/tables/{table_id}/generateQueries
Responses
200

Success

objectobject
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get multiple table Ids

Get multiple table Ids

Auth
GET /tables/
Responses
200

OK

objectobject
messagestring
resultarray[object]
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table metadata

update table metadata

Auth
Request Body

Table Metadata

objectobject
tags_to_addarray[string]
tags_to_removearray[string]
is_favoriteboolean
descriptionstring
columns_descriptionsarray[object]
namestring
descriptionstring
PATCH /tables/{table_id}/metadata
Responses
200

OK

objectobject
resultobject
messagestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table metadata

get table metadata

Auth
GET /tables/{table_id}/metadata
Responses
200

get table metadata

objectobject
tagsarray[string]
is_favoriteboolean
descriptionstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table lineage

get table lineage

Auth
GET /tables/{table_id}/lineage
Responses
200

get table lineage

objectobject
tableobject
domainsobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add a `Table Group`.

Add a Table Group.

Auth
Request Body
objectobject
idstring
sourcestring
environment_compute_template_idstring
namestring
max_connectionsinteger
max_parallel_entitiesinteger
tablesarray
compute_cluster_namestring
POST /sources/{source_id}/table-groups
Responses
200

Success

objectobject
messagestring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets `Table Group` list.

Gets Table Group list.

Auth
Query String
offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

limitinteger

The numbers of items to return

Default: 10

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

resolve_refboolean

To get entity details and created by user name

GET /sources/{source_id}/table-groups
Responses
200

Success

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets `Table Group` object for given id.

Gets Table Group object for given id.

Auth
Query String
resolve_refboolean

To get entity details and created by user name

GET /sources/{source_id}/table-groups/{table_group_id}
Responses
200

Success

objectobject
messagestring
idstring
sourcestring
environment_compute_template_idstring
namestring
max_connectionsinteger
max_parallel_entitiesinteger
tablesarray
compute_cluster_namestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update `Table Group` object for given id.

Update Table Group object for given id.

Auth
Request Body
objectobject
environment_compute_template_idstring
namestring
max_connectionsinteger
max_parallel_entitiesinteger
query_tagstring
tablesarray
table_idstring
connection_quotainteger
PUT /sources/{source_id}/table-groups/{table_group_id}
Responses
200

Success

objectobject
resultobject
messagestring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

{table_group_id}

Auth
DELETE /sources/{source_id}/table-groups/{table_group_id}
Responses
200

Success

messagestring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

This will Configure particular `Table Group` with `tableGroupId`.

This will Configure particular Table Group with tableGroupId.

Auth
Request Body

This is the JSON body of request containing configured Table group object.

objectobject
tablesarray[object]
table_idstring
connection_quotainteger
POST /sources/{source_id}/table-groups/{table_group_id}/configurations
Responses
200

Success

objectobject
resultobject
statusstring
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

This will fetch array of audit logs for table group with `tableGroupId`.

This will fetch array of audit logs for table group with tableGroupId.

Auth
GET /sources/{source_id}/table-groups/{table_group_id}/audit-logs
Responses
200

Success

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets `Table to Table Group` Mapping.

Gets Table to Table Group Mapping list.

Auth
Query String
offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

limitinteger

The numbers of items to return

Default: 10

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

GET /sources/{source_id}/tables-to-table-groups-mapping
Responses
200

Success

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultobject
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Group Schedule

Retrieves the table group schedule.

Auth
GET /sources/{source_id}/table-groups/{table_group_id}/schedules
Responses
200

Success

objectobject
messagestring
entity_idstring
schedule_typestring

Enum: workflow-build,metadata_cleanup,mongo-backup,table-group-cdc,table

schedule_usernamestring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Enable Table Group Schedule

Enables the table group schedule.

Auth
Request Body
Generic Scheduleobject

Generic schedule object

schedule_statusstring

Enum: enabled,disabled

start_datestring

Start time should be after current time.

pattern: ^[1-12]{1}/[0-31]{1}/\d{4}$

start_hourinteger

maximum: 23

minimum: 0

start_mininteger

maximum: 59

minimum: 0

repeat_interval_unitstring

Enum: NEVER,MINUTE,HOUR,DAY,WEEK,MONTH

Default: NEVER

repeat_interval_measureinteger

minimum: 1

repeat_on_last_dayboolean

specified_days must be provided if repeat_on_last_day is false. Applicable for repeat_interval_unit=MONTH

Default: false

specified_daysarray[integer]

Applicable when repeat_interval_unit is WEEK or MONTH.

minLength: 1

endsboolean

end_date, end_hour, end_min must be provided if ends is true.

Default: false

end_datestring

End time should be after start time.

pattern: ^[1-12]{1}/[0-31]{1}/\d{4}$

end_hourinteger

maximum: 23

minimum: 0

end_mininteger

maximum: 59

minimum: 0

is_custom_jobboolean

custom_job_details must be provided when is_custom_job=true. Applicable when repeat_interval_unit is DAY, WEEK or MONTH.

Default: false

custom_job_detailsobject
PUT /sources/{source_id}/table-groups/{table_group_id}/schedules/enable
Responses
200

Ok

objectobject
messagestring
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Disable Table Group Schedule

Disables the table group schedule.

Auth
PUT /sources/{source_id}/table-groups/{table_group_id}/schedules/disable
Responses
200

Ok

objectobject
messagestring
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Configure Table Group Schedule User

Configures the table group schedule user.

Auth
PUT /sources/{source_id}/table-groups/{table_group_id}/schedules/user
Responses
200

Ok

objectobject
messagestring
resultobject
idstring
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Domains

Get the Target Data Connection

Get the Target Data Connection

Auth
GET /admin/data-connections/{data_connection_id}
Responses
200

Ok

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Edit the Target Data Connections Associated with a Domain

Edit the Target Data Connections Associated with a Domain

Auth
Request Body
typestring
namestring
connection_urlstring
account_namestring
usernamestring
passwordstring
warehousestring
additional_paramsstring
PUT /admin/data-connections/{data_connection_id}
Responses
200

Ok

objectobject
messagestring
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Patch the Target Data Connection

Patch the Target Data Connection

Auth
Request Body
typestring
namestring
connection_urlstring
account_namestring
usernamestring
passwordstring
warehousestring
additional_paramsstring
PATCH /admin/data-connections/{data_connection_id}
Responses
200

Ok

objectobject
messagestring
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete the Target Data Connections Associated with a Domain

Delete the Target Data Connections Associated with a Domain

Auth
DELETE /admin/data-connections/{data_connection_id}
Responses
200

Ok

objectobject
messagestring
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains

Get List of Domains

Auth
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /admin/domains
Responses
200

Ok

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains

Get List of Domains

Auth
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /admin/domains/{domain_id}/accessible-sources-to-add
Responses
200

Ok

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
resultarray[array]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains Users

Get List of Domains Users

Auth
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /admin/domains/{domain_id}/domain-users
Responses
200

Ok

objectobject
messagestring
limitinteger
offsetinteger
linksobject
total_countinteger
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Accessible Domains

Get List of Accessible Domains

Auth
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /admin/domains/{domain_id}/accessible-domains-to-add
Responses
200

Ok

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
resultarray[array]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains Pipeline Extensions

Get List of Domains Pipeline Extensions

Auth
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /admin/domains/{domain_id}/accessible-pipeline-extensions-to-add
Responses
200

Ok

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
resultarray[array]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains

Get List of Domains

Auth
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /domains
Responses
200

Ok

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add a domain. (Requires Admin Access)

Add a domain. (Requires Admin Access)

Auth
Request Body
objectobject
namestring
descriptionstring
secretsarray[string]
environment_idsarray[string]
usersarray[string]
POST /domains
Responses
200

ok

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get description of a domain_id. (Requires Admin Access)

Get description of a domain_id. (Requires Admin Access)

Auth
Path Params
domain_idstring
GET /domains/{domain_id}
Responses
200

ok

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Edit name and description of a domain. (Requires Admin Access)

Edit name and description of a domain. (Requires Admin Access)

Auth
Path Params
domain_idstring
Request Body
objectobject
namestring
PATCH /domains/{domain_id}
Responses
200

ok

objectobject
idstring
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete a Domain (Requires Admin Access).

Delete a Domain (Requires Admin Access).

Auth
Path Params
domain_idstring
DELETE /domains/{domain_id}
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the Sources associated with this Domain

Get all the Sources associated with this Domain

Auth
Path Params
domain_idstring
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /domains/{domain_id}/accessible-sources
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add Sources to this Domain (Requires Admin Access)

Add Sources to this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
Request Body
objectobject
entity_idsarray[string]
POST /domains/{domain_id}/accessible-sources
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update Sources to this Domain (Requires Admin Access)

Update Sources to this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
Request Body
objectobject
entity_idsarray[string]
PUT /domains/{domain_id}/accessible-sources
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Remove Source from this Domain (Requires Admin Access)

Remove Source from this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
DELETE /domains/{domain_id}/accessible-sources
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the Domains associated with this Domain

Get all the Domains associated with this Domain

Auth
Path Params
domain_idstring
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /domains/{domain_id}/accessible-domains
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add Domains to this Domain (Requires Admin Access)

Add Domains to this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
Request Body
objectobject
entity_idsarray[string]
POST /domains/{domain_id}/accessible-domains
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update accessible-domain in this Domain (Requires Admin Access)

Update accessible-domain in this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
Request Body
objectobject
entity_idsarray[string]
PUT /domains/{domain_id}/accessible-domains
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Remove Domain from this Domain (Requires Admin Access)

Remove Domain from this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
DELETE /domains/{domain_id}/accessible-domains
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the workflows associated with this Domain

Get all the workflows associated with this Domain

Auth
Path Params
domain_idstring
GET /domains/{domain_id}/accessible-workflows
Responses
200

Ok.

objectobject
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the tablegroups associated with this Domain

Get all the tablegroups associated with this Domain

Auth
Path Params
domain_idstring
GET /domains/{domain_id}/accessible-table-groups
Responses
200

Ok.

objectobject
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the interactive computes associated with this Domain

Get all the interactive computes associated with this Domain

Auth
Path Params
domain_idstring
GET /domains/{domain_id}/accessible-interactive-computes
Responses
200

Ok.

objectobject
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the pipelines associated with this Domain

Get all the pipelines associated with this Domain

Auth
Path Params
domain_idstring
GET /domains/{domain_id}/accessible-pipelines
Responses
200

Ok.

objectobject
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the Pipeline Extensions associated with this Domain

Get all the Pipeline Extensions associated with this Domain

Auth
Path Params
domain_idstring
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

GET /domains/{domain_id}/accessible-pipeline-extensions
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update accessible-pipeline-extensions in this Domain (Requires Admin Access)

Update accessible-pipeline-extensions in this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
Request Body
objectobject
entity_idsarray[string]
PUT /domains/{domain_id}/accessible-pipeline-extensions
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add Pipeline Extensions to this Domain (Requires Admin Access)

Add Pipeline Extensions to this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
Request Body
objectobject
entity_idsarray[string]
POST /domains/{domain_id}/accessible-pipeline-extensions
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Remove Pipeline Extension from this Domain (Requires Admin Access)

Remove Pipeline Extension from this Domain (Requires Admin Access)

Auth
Path Params
domain_idstring
DELETE /domains/{domain_id}/accessible-pipeline-extensions
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

{key}

Domain Advanced Configurations

Auth
Path Params
domain_idstring
keystring
Request Body
valuestring
descriptionstring
isActiveboolean
PUT /domains/{domain_id}/configurations/advance/{key}
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

{key}

update advanced configs

Auth
Path Params
domain_idstring
keystring
Request Body
valuestring
PATCH /domains/{domain_id}/configurations/advance/{key}
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

{key}

delete advanced configs

Auth
Path Params
domain_idstring
keystring
DELETE /domains/{domain_id}/configurations/advance/{key}
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get recently used entities associated with this Domain

Get recently used entities associated with this Domain

Auth
GET /domains/{domain_id}/recently-used-entities
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray[object]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add Recently Used Entity to this Domain

Add Recently Used Entity to this Domain

Auth
Path Params
domain_idstring
Request Body
objectobject
entity_typestring
entity_idstring
POST /domains/{domain_id}/recently-used-entities
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get comments associated with this Domain

Get comments associated with this Domain

Auth
GET /domains/{domain_id}/comments
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray[object]
commentstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add comment to this Domain

Add comment to this Domain

Auth
Path Params
domain_idstring
Request Body
objectobject
commentstring
POST /domains/{domain_id}/comments
Responses
200

Ok.

objectobject
resultstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get notifications associated with this Domain

Get notifications associated with this Domain

Auth
GET /domains/{domain_id}/notifications
Responses
200

Ok.

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray[object]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Table Orders With Hierachy

Get Table Orders With Hierachy

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{version_id}/node/{node_id}
Responses
200

Ok.

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Domains Pipeline and Accessibele Sources

Get Domains Pipeline and Accessibele Sources

Auth
GET /domains/{domain_id}/environment_details_pipelines_accessible_sources
Responses
200

Ok.

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Pipelines

Get all pipelines of all domains

Get all pipelines of all domains

Auth
Query String
offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

limitinteger

The numbers of items to return

Default: 10

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

GET /admin/pipelines
Responses
200

Success

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
idstring
namestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Change the active version of the Pipeline

Change the active version of the Pipeline

Auth
Path Params
domain_idstring
pipeline_idstring
version_idstring
Query String
filterstring

Filter results query

limitinteger

The numbers of items to return

Default: 10

offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

sort_bystring

Sort result on field

POST /domains/{domain_id}//pipelines/{pipeline_id}/versions/{version_id}/set-active
Responses
200

Ok.

objectobject
messagestring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all pipelines for domain with `domain_id`

Get all pipelines for domain with domain_id

Auth
Query String
offsetinteger

The number of items to skip before starting to collect the result set

Default: 0

limitinteger

The numbers of items to return

Default: 10

sort_bystring

Sort result on field

order_bystring

order ascending | descending

Enum: asc,desc

Default: asc

filterstring

Filter results query

GET /domains/{domain_id}/pipelines
Responses
200

Success

objectobject
limitinteger
offsetinteger
linksobject
total_countinteger
messagestring
resultarray
environmentobject
ephemeral_computearray[object]
interactive_computearray[object]
storagearray[object]
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

create new pipeline for domain with `domain_id`

create new pipeline for domain with domain_id

Auth
Request Body
objectobject
namestring
batch_enginestring

Enum: SPARK,BIGQUERY,SNOWFLAKE

storage_idstring
compute_template_idstring
ml_enginestring

Enum: SPARK

snowflake_profilestring
snowflake_warehousestring
POST /domains/{domain_id}/pipelines
Responses
200

Success

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets a `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Gets a pipeline with {pipeline_id} in domain with {domain_id}.

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}
Responses
200

Success

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Deletes a `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Deletes a pipeline with {pipeline_id} in domain with {domain_id}.

Auth
DELETE /domains/{domain_id}/pipelines/{pipeline_id}
Responses
200

Success

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Updates a `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Updates a pipeline with {pipeline_id} in domain with {domain_id}.

Auth
Request Body
objectobject
namestring
descriptionstring
compute_template_idstring
active_version_idstring
query_tagstring
PUT /domains/{domain_id}/pipelines/{pipeline_id}
Responses
200

Success

objectobject
messagestring
resultobject
idstring
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets list of workflows using pipeline with `{pipeline_id}` in `domain` with `{domain_id}`.

Gets list of workflows using pipeline with {pipeline_id} in domain with `{domain_id}.

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/impacted-workflows
Responses
200

Success

objectobject
messagestring
resultobject
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets all `pipeline analytics models` for ML Engine with `{pipeline_id}` in `domain` with `{domain_id}`.

Gets all pipeline analytics models for ML Engine with {pipeline_id} in domain with {domain_id}.

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/analytics-models
Responses
200

Success

objectobject
[...]
